> ## Documentation Index
> Fetch the complete documentation index at: https://guide.gpt-trainer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Chatbot

> Fetch single chatbot base on chatbot uuid

### Path

<ParamField path="uuid" type="string" required>
  Chatbot uuid
</ParamField>

### Response

<ResponseField name="created_at" type="string" />

<ResponseField name="meta" type="object">
  The meta of chatbot

  <Expandable title="Chatbot meta">
    <ResponseField name="rate_limit" type="[number, number]" />

    <ResponseField name="rate_limit_message" type="string" />

    <ResponseField name="show_citation" type="boolean" />

    <ResponseField name="visibility" type="string" />
  </Expandable>
</ResponseField>

<ResponseField name="modified_at" type="string" />

<ResponseField name="name" type="string" />

<ResponseField name="uuid" type="string" />

<RequestExample>
  ```bash Curl theme={null}
  curl --location --request GET 'https://app.gpt-trainer.com/api/v1/chatbot/{chatbot-uuid}' \
  --header 'Authorization: Bearer <token>'
  ```

  ```py Python theme={null}
  import requests

  uuid = '<chatbot-uuid>'
  url = f'https://app.gpt-trainer.com/api/v1/chatbot/{uuid}'
  headers = {
      'Authorization': 'Bearer <token>'
  }

  response = requests.get(url, headers=headers)

  if response.status_code == 200:
      print("Request successful!")
      print(response.json())
  else:
      print("Request failed with status code:", response.status_code)
      print(response.text)
  ```

  ```ts JavaScript theme={null}
  const axios = require("axios");

  const uuid = "<chatbot-uuid>";
  const url = `https://app.gpt-trainer.com/api/v1/chatbot/${uuid}`;
  const headers = {
    Authorization: "Bearer <token>",
  };

  axios
    .get(url, { headers })
    .then((response) => {
      console.log("Request successful!");
      console.log(response.data);
    })
    .catch((error) => {
      console.error("Request failed:", error);
    });
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "created_at": "string",
    "meta": {
      "rate_limit": [20, 240],
      "rate_limit_message": "Too many messages",
      "show_citations": false,
      "visibility": "private"
    },
    "modified_at": "string",
    "name": "string",
    "uuid": "string"
  }
  ```
</ResponseExample>
